summaryrefslogtreecommitdiffstats
path: root/multimedia/herrie/herrie.SlackBuild
diff options
context:
space:
mode:
author Phil Warner <pc_warner@yahoo.com>2010-05-11 20:01:17 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:17 +0200
commitdc000f2949e9bc535f1d7dc514ef313653a54cae (patch)
treefa7114194004c830f5df1ebe9e74b96e2e41c195 /multimedia/herrie/herrie.SlackBuild
parent635f420678a6cd009b2bfc4dc9c4dbf7ec439cf5 (diff)
downloadslackbuilds-dc000f2949e9bc535f1d7dc514ef313653a54cae.tar.gz
slackbuilds-dc000f2949e9bc535f1d7dc514ef313653a54cae.tar.xz
multimedia/herrie: Added to 12.0 repository
Diffstat (limited to 'multimedia/herrie/herrie.SlackBuild')
-rw-r--r--multimedia/herrie/herrie.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/multimedia/herrie/herrie.SlackBuild b/multimedia/herrie/herrie.SlackBuild
new file mode 100644
index 0000000000..d6fa0ebd92
--- /dev/null
+++ b/multimedia/herrie/herrie.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for herrie
+# Written by Phil Warner <pc_warner@yahoo.com>
+
+PRGNAM=herrie
+VERSION=2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+####################CONFIG OPTIONS###########################
+#no_http Disable support for HTTP audio streams
+#no_modplug Disable libmodplug linkage
+#no_mp3 Disable MP3 audio file support
+#no_nls Disable native language support
+#no_scrobbler Disable AudioScrobbler support
+#no_sndfile Disable libsndfile linkage (Wave/FLAC support)
+#no_vorbis Disable Ogg Vorbis support
+#no_xspf Disable XSPF playlist support
+
+#alsa Use ALSA audio output
+#ao Use libao audio output
+#coreaudio Use Apple CoreAudio audio output
+#oss Use Open Sound System output
+#null Use placeholder audio output
+#pulse Use PulseAudio audio output
+
+#ncurses Use ncurses instead of ncursesw (breaks UTF-8 support)
+#xcurses Build application against XCurses (PDCurses)
+
+#no_strip Do not strip the application binary on installation
+#strict Turn on stricter compiler flags for GCC
+#verbose Print commands during compilation
+#############################################################
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX="/usr" \
+CONFDIR="/etc" \
+MANDIR="/usr/man" \
+./configure \
+ no_sndfile \
+ no_http \
+ no_modplug \
+ no_nls \
+ no_scrobbler \
+ no_xspf \
+ alsa \
+ ncurses
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz